OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Contract Class Reference

Representation of STEP entity Contract
.

`#include <StepBasic_Contract.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_Contract ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPurpose, const Handle(StepBasic_ContractType)&aKind)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Purpose () const
| Returns field Purpose .
Standard_EXPORT void | SetPurpose (const Handle(TCollection_HAsciiString)&Purpose)
| Set field Purpose .
Standard_EXPORT Handle_StepBasic_ContractType | Kind () const
| Returns field Kind .
Standard_EXPORT void | SetKind (const Handle(StepBasic_ContractType)&Kind)
| Set field Kind .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | thePurpose
Handle_StepBasic_ContractType | theKind

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Contract::StepBasic_Contract | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_Contract::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_Contract::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPurpose,
|  | const Handle(StepBasic_ContractType)& | aKind
| ) |

Standard_EXPORT Handle_StepBasic_ContractType StepBasic_Contract::Kind | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Contract::Name | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Contract::Purpose | ( |  | ) | const

Standard_EXPORT void StepBasic_Contract::SetKind | ( | const Handle(StepBasic_ContractType)& | Kind | ) |

Standard_EXPORT void StepBasic_Contract::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

Standard_EXPORT void StepBasic_Contract::SetPurpose | ( | const Handle(TCollection_HAsciiString)& | Purpose | ) |

## Field Documentation

Handle_StepBasic_ContractType StepBasic_Contract::theKind`[private]`

Handle_TCollection_HAsciiString StepBasic_Contract::theName`[private]`

Handle_TCollection_HAsciiString StepBasic_Contract::thePurpose`[private]`

The documentation for this class was generated from the following file:

- StepBasic_Contract.hxx